> ## Documentation Index
> Fetch the complete documentation index at: https://developer.copper.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Position Statement Report



## OpenAPI

````yaml /copper-open-api-public.json post /reports/wallets/net-asset-values
openapi: 3.1.0
info:
  description: >-
    Copper API is based on the REST API interface provided for data exchange
    between a client and a server with the use of HTTPS requests and responses.

    By default, the request should include a Content-Type header set as
    application/json. Some requests require different header fields, as well as
    other Content-Type values. In this case, a proper header will be stated in
    an example.

    When interacting with the API, please note that all numerical values, such
    as order amounts or timestamps, should be transmitted as strings. This
    ensures consistent data representation and prevents potential issues with
    floating-point precision
  title: Copper Platform API
  version: latest
servers:
  - description: platform.copper.co
    url: https://api.copper.co/platform
  - description: demo.copper.co
    url: https://api.stage.copper.co/platform
  - description: testnet.copper.co
    url: https://api.testnet.copper.co/platform
security: []
tags:
  - name: reports
  - name: deposit-targets
  - name: lending
  - name: portfolios
  - name: wallets
  - name: network
  - name: stake
  - name: blockchain
  - name: organizations
  - name: files
  - name: orders
  - name: address-book
  - name: clearloop
  - name: currencies
paths:
  /reports/wallets/net-asset-values:
    post:
      tags:
        - reports
      summary: Create Position Statement Report
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateWalletReport'
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Report'
          description: OK
        '400':
          content:
            application/json:
              schema:
                properties:
                  error:
                    description: The machine-readable error code
                    examples:
                      - bad-request
                    type: string
                  message:
                    description: >-
                      A human-readable message providing more details about the
                      error
                    type: string
                type: object
          description: Bad Request
        '403':
          content:
            application/json:
              schema:
                properties:
                  error:
                    description: The machine-readable error code
                    examples:
                      - forbidden
                    type: string
                  message:
                    description: >-
                      A human-readable message providing more details about the
                      error
                    type: string
                type: object
          description: Forbidden
        '409':
          content:
            application/json:
              schema:
                properties:
                  error:
                    description: The machine-readable error code
                    examples:
                      - conflict
                    type: string
                  message:
                    description: >-
                      A human-readable message providing more details about the
                      error
                    type: string
                type: object
          description: Conflict
components:
  schemas:
    CreateWalletReport:
      properties:
        dateFrom:
          description: Timestamp in milliseconds for the initial report entry
          type: string
        dateTo:
          description: Timestamp in milliseconds for the final report entry
          type: string
        portfolioIds:
          description: List of portfolio ids for the report
          examples:
            - portfolioId1,portfolioId2
          items:
            type: string
          type: array
        portfolioTypes:
          description: >-
            List of portfolio types for the report. [See
            details](/enums/PortfolioType)
          examples:
            - custody,external
          items:
            $ref: '#/components/schemas/PortfolioType'
          type: array
      required:
        - dateFrom
        - dateTo
      type: object
    Report:
      properties: {}
      type: object
    PortfolioType:
      enum:
        - custody
        - trading-vault
        - trading
        - external
        - clearloop
      type: string

````